import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增证书类型
    appBaseCertificate(data) {
        return request({
            url: '/base/certificate',
            method: 'post',
            data
        })
    },
    //修改证书类型
    editBaseCertificate(data) {
        return request({
            url: '/base/certificate/edit',
            method: 'post',
            data
        })
    },
    //查询证书类型列表
    inquireBaseCertificate(data) {
        return request({
            url: '/base/certificate/list',
            method: 'get',
            params: data
        })
    },
    //获取证书类型详细信息
    obtainBaseCertificate(data) {
        return request({
            url: `/base/certificate/` + data,
            method: 'get',
        })
    },
    /**
     *  
     * @remarks 证书模板 
     */
    //新增证书模板
    appBaseCertificatetp(data) {
        return request({
            url: '/certificate/tp',
            method: 'post',
            data
        })
    },
    //修改证书模板
    editBaseCertificatetp(data) {
        return request({
            url: '/certificate/tp/edit',
            method: 'post',
            data
        })
    },
    //查询证书模板列表
    inquireBaseCertificatetp(data) {
        return request({
            url: '/certificate/tp/list',
            method: 'get',
            params: data
        })
    },
    //获取证书模板详细信息
    obtainBaseCertificatetp(data) {
        return request({
            url: `/certificate/tp/` + data,
            method: 'get',
        })
    },
    //查询用户证书列表
    inquireBaseuserCertificatelist(data) {
        return request({
            url: '/user/certificate/list',
            method: 'get',
            params: data
        })
    },
    /**
     *  
     * @remarks 证书名称 
     */
    //新增证书名称
    appBaseCertificatecommon(data) {
        return request({
            url: '/base/certificate/common',
            method: 'post',
            data
        })
    },
    //修改证书名称
    editBaseCertificatecommon(data) {
        return request({
            url: '/base/certificate/common/edit',
            method: 'post',
            data
        })
    },
    //查询证书名称列表
    inquireBaseCertificatecommon(data) {
        return request({
            url: '/base/certificate/common/list',
            method: 'get',
            params: data
        })
    },
    //获取证书名称详细信息
    obtainBaseCertificatecommon(data) {
        return request({
            url: `/base/certificate/common/` + data,
            method: 'get',
        })
    },
}